### Method

# EBook BookClient get_contact

since: 3.2

#### Declaration [src]

    void
    e_book_client_get_contact (
      EBookClient* client,
      const gchar* uid,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Receive `EContact` from the `client` for the given `uid`. The call is finished by `e_book_client_get_contact_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_book_client_get_contact_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uid`

  Type: `const gchar*`

  A unique string ID specifying the contact.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.